/******************************************************************************
 * commandedit.h - User edited a field in the tree
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef COMMANDEDIT_H
#define COMMANDEDIT_H

#include "nbtobject.h"
#include "command.h"

class CommandEdit : public Command
{
public:
	CommandEdit();
	void	setEditData(QModelIndex modelIndex, QVariant data);

protected:
	virtual void doCommand();
	virtual void undoCommand();
	virtual void redoCommand();
	virtual void disown() {}

private:
	QModelIndex	m_modelIndex;
	QVariant	m_data;
	NBTObject	m_object;
};


#endif // COMMANDEDIT_H
