/******************************************************************************
 * commandrailmap.h - Apply the rail data to this map
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef COMMANDRAILMAP_H
#define COMMANDRAILMAP_H

#include <QObject>
#include "command.h"

class CommandRailMap : public Command
{
public:
	CommandRailMap();
	virtual	~CommandRailMap();

	void	setPoints(QList<QPoint>* points);
	void	setFile(NBTFile* file);
	void	setColor(int mapColor);

	virtual void doCommand();
	virtual void undoCommand();
	virtual void redoCommand();
	virtual void disown() {}

private:
	QList<QPoint>*	m_points;
	int				m_mapColor;
	QByteArray		m_originalData;
};

inline void CommandRailMap::setPoints(QList<QPoint>* points) { m_points = points; }
inline void CommandRailMap::setColor(int mapColor) { m_mapColor = mapColor; }

#endif // COMMANDRAILMAP_H
