/******************************************************************************
 * consoledialog.cpp - Display the app messages
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#include <QVBoxLayout>
#include <QTextEdit>

#include "consoledialog.h"

static const char* colors[] = {"green", "red", "red", "black", "blue"};

ConsoleDialog::ConsoleDialog(QWidget* parent, MainWindow* mainWindow)
	: super(parent),
	  m_mainWindow(mainWindow)
{

	QVBoxLayout* layout = new QVBoxLayout();
	m_textEdit = new QTextEdit();
	m_textEdit->setReadOnly(true);
	layout->addWidget(m_textEdit);

	this->setLayout(layout);
}


void ConsoleDialog::appendMsg(const ConsoleMsg* msg)
{
	QString s = QString("<font color=\"%1\">%2</font><br>").arg(colors[msg->m_type], msg->m_string);
	QTextCursor tc = m_textEdit->textCursor();
	tc.movePosition(QTextCursor::End);
	m_textEdit->setTextCursor(tc);
	//m_textEdit->textCursor().movePosition(QTextCursor::End);
	m_textEdit->insertHtml(s);
	m_textEdit->ensureCursorVisible();
}
