/******************************************************************************
 * mapsettingsdialog.h - Dialog to control the map displays
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef MAPSETTINGSDIALOG_H
#define MAPSETTINGSDIALOG_H

#include <QDialog>


class QCheckBox;
class QSpinBox;
class QLineEdit;
class QTextEdit;
class QLabel;
class QGridLayout;


class MainWindow;
class MapWidget;
class NBTFile;
class World;
class YamceDoc;


class MapSettingsDialog : public QDialog
{
private:
	typedef QDialog super;
	Q_OBJECT

public:
	MapSettingsDialog(MapWidget* parent, MainWindow* mainWindow);
	void	setWorld(World* world);
	//void	closing();

signals:
	void	mapSettingsChanged();

private slots:
	void	drawGridLinesToggled(bool b);
	void	gridWidthChanged(int value);
	void	expandForGridChanged(bool b);

protected:
	virtual void	closeEvent(QCloseEvent* event) override;

private:
	void		maybeEnableOptions();

	MapWidget*		m_mapWidget;
	MainWindow*		m_mainWindow;
	QCheckBox*		m_drawGridLines;
	QSpinBox*		m_gridWidthSpinBox;
	QCheckBox*		m_expandForGrid;
	World*			m_world;
	YamceDoc*		m_yamceDoc;
};

//inline void MapSettingsDialog::closing() { m_isClosing = true; }
#endif // MAPSETTINGSDIALOG_H
