/******************************************************************************
 * playerfile.cpp - Extend NBTFile with Player specifics
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#include <QDebug>
#include "playerfile.h"

PlayerFile::PlayerFile()
{

}

bool PlayerFile::load(ErrorMsgReceiver* receiver)
{
	bool ret = super::load(receiver);
	if (!ret)
		return(false);
	return(parsePlayer(receiver));
}

bool PlayerFile::parsePlayer(ErrorMsgReceiver*)
{
	NBTObject* sobj = m_object->findChild("*:Pos");
	if (!sobj) {
		//qInfo() << "PlayerFile:parse" << m_fileName << "no *:Pos";
		return(false);
	}
	NList* nlist = sobj->d_list;
	m_pos = QPoint(nlist->d_double[0], nlist->d_double[2]);
	sobj = m_object->findChild("*:Rotation");
	if (!sobj) {
		//qInfo() << "PlayerFile:parse" << m_fileName << "no *:Rotation";
		return(false);
	}
	nlist = sobj->d_list;
	m_rot = nlist->d_float[0];
	//qDebug() << "parsePlayer: pos" << m_pos << "rot:" << m_rot;
	return(true);
}
