/******************************************************************************
 * playerfile.h - Extend NBTFile with Player specifics
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef PLAYERFILE_H
#define PLAYERFILE_H

#include <QPoint>

#include "nbtfile.h"

class PlayerFile : public NBTFile
{
private:
	typedef NBTFile	super;

public:
	PlayerFile();

	virtual bool load(ErrorMsgReceiver* receiver = nullptr);

	bool parsePlayer(ErrorMsgReceiver* receiver = nullptr);
	const QPoint&	getPos();
	int				getRot();

private:
	QPoint	m_pos;
	int		m_rot;
};

inline const QPoint& PlayerFile::getPos() { return(m_pos); }
inline int           PlayerFile::getRot() { return(m_rot); }
#endif // PLAYERFILE_H
