/******************************************************************************
 * statusbar.h - The bottom statusbar
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef STATUSBAR_H
#define STATUSBAR_H

#include <QStatusBar>
#include <QProgressBar>
#include <QLabel>

class ProgressSet;
class MainWindow;

class StatusBar : public QStatusBar
{
public:
	explicit StatusBar(MainWindow* mainWindow);
	void	showMessage(const QString& message);
	void	setProgressText(const QString& text, int total);
	void	incProgressDone();
	void	setProgress(ProgressSet* set);

private:
	QProgressBar	m_progressBar;
	QLabel			m_statusLabel;
	MainWindow*		m_mainWindow;
	QString			m_progressText;
	int				m_progressToDo;
	int				m_progressDone;
};

#endif // STATUSBAR_H
