/******************************************************************************
 * treeview.h - The TreeView in the ResourceDock
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef TREEVIEW_H
#define TREEVIEW_H

#include <QTreeView>

class ResourceDock;
class MainWindow;

///////////////////////////////////////////////////////////////////////////////////////////////////
/// @brief The primary object in the ResourceDock
class TreeView : public QTreeView
{
private:
	typedef QTreeView super;
	Q_OBJECT

public:
	explicit TreeView(ResourceDock* parent = nullptr);

	void		updateColumnSizeHints();
	void		setupColumnWidths();
protected:
	virtual void keyPressEvent(QKeyEvent *event);

private:
	ResourceDock*	m_resourceDock;
	MainWindow*		m_mainWindow;
	//TreeModel*		m_treeModel;

};


#endif // TREEVIEW_H
