#-------------------------------------------------
#
# yamce - Yet Another Minecraft Editor
# Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
#
# yamce is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# yamce is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Project created by QtCreator 2018-12-11T19:59:43
#
#-------------------------------------------------

QT += core gui widgets

TARGET = yamce
TEMPLATE = app

CONFIG += c++11

CONFIG(debug, debug|release) {
	message(Build yamce debug version)
	DEFINES += _DEBUG
}

#DESTDIR = usr/bin

unix:isEmpty(PREFIX) {
 PREFIX = /usr/local
}


# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    world.cpp \
    nbtfile.cpp \
    resourcedock.cpp \
    qcompressor.cpp \
    nbtobject.cpp \
    treemodel.cpp \
    treeitem.cpp \
    maintoolbar.cpp \
    resourcedropdown.cpp \
    fileman.cpp \
    regionfile.cpp \
    centralwidget.cpp \
    regionwidget.cpp \
    mapwidget.cpp \
    mapfile.cpp \
    mapbannerpainter.cpp \
    statusbar.cpp \
    mapsettingsdialog.cpp \
    railman.cpp \
    hexeditor.cpp \
    yamcedoc.cpp \
    xyz.cpp \
    command.cpp \
    commandman.cpp \
    treeview.cpp \
    commanddelete.cpp \
    nlist.cpp \
    commandedit.cpp \
    railmandialog.cpp \
    consoledialog.cpp \
    consoleman.cpp \
    commandrailmap.cpp \
    preferencesdialog.cpp \
    syncman.cpp \
    playerfile.cpp \
    helpman.cpp \
    mapcolordialog.cpp \
    commandrename.cpp

HEADERS += \
        mainwindow.h \
    world.h \
    nbtfile.h \
    resourcedock.h \
    qcompressor.h \
    nbtobject.h \
    treemodel.h \
    treeitem.h \
    maintoolbar.h \
    resourcedropdown.h \
    fileman.h \
    regionfile.h \
    centralwidget.h \
    regionwidget.h \
    mapwidget.h \
    mapfile.h \
    mapbannerpainter.h \
    statusbar.h \
    errormsgreceiver.h \
    mapsettingsdialog.h \
    railman.h \
    hexeditor.h \
    yamcedoc.h \
    xyz.h \
    command.h \
    commandman.h \
    treeview.h \
    commanddelete.h \
    nlist.h \
    commandedit.h \
    railmandialog.h \
    consoledialog.h \
    consoleman.h \
    commandrailmap.h \
    progressset.h \
    preferencesdialog.h \
    syncman.h \
    playerfile.h \
    helpman.h \
    yamceversion.h \
    mapcolordialog.h \
    commandrename.h

RESOURCES += \
	yamce.qrc

LIBS += -lz

# Default rules for deployment.
#qnx: target.path = /tmp/$${TARGET}/bin
#else: unix:!android: target.path = /opt/$${TARGET}/bin
#!isEmpty(target.path): INSTALLS += target

target.path = $$PREFIX/bin
INSTALLS += target

man.path = /usr/share/man/man1
man.files = install/yamce.1
INSTALLS += man

icons128.path = /usr/share/icons/hicolor/128x128/apps
icons128.files = resources/128x128/yamce.png
INSTALLS += icons128

icons48.path = /usr/share/icons/hicolor/48x48/apps
icons48.files = resources/48x48/yamce.png
INSTALLS += icons48

DISTFILES +=

